Subject: bug#72941: jsonrpc: Check if parameters are in line with the spec

From: Daniel Pettersson <[email-masked]>
Date: Sat, 28 Sep 2024 13:40:00 +0200

Eli Zaretskii <[email-masked]> writes:

> So do we want to close this as wontfix?

Yes, if anybody would clarify the variable type expectations
documentation that would be great but all in all this is would be
wontfix.

>> From: Felician Nemeth <[email-masked]>

>> Maybe when the server responds with an error to a jsonrpc-request, then
>> jsonrpc.el could create an additional warning if the params of the
>> request was not structured.  Or maybe it is too much work for a very
>> small gain.

It seams like something that would be a bit of mess and I would expect
that an sane jsonrpc server would include the reason for error in the
error response.